net.i2p.router.networkdb.kademlia

## Class FloodOnlyLookupMatchJob

- java.lang.Object
- - net.i2p.router.JobImpl
  - - net.i2p.router.networkdb.kademlia.FloodOnlyLookupMatchJob

- All Implemented Interfaces:
    Job, ReplyJob
  Direct Known Subclasses:
    DirectLookupMatchJob

      class FloodOnlyLookupMatchJob
      extends JobImpl
      implements ReplyJob

  Handles match processing for flood-only search operations.

  This job processes responses to flood-only searches, determining success or failure based on received database store messages. It coordinates with the parent search job to signal completion and handles LeaseSet reply marking appropriately.

  Extends the base match job functionality to work specifically with flood-based search strategies where responses are processed asynchronously.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Log` | `_log`
    `protected FloodSearchJob` | `_search`
    `protected boolean` | `_success`

    - ### Fields inherited from class net.i2p.router.JobImpl

      `_id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FloodOnlyLookupMatchJob(RouterContext ctx, FloodSearchJob job)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Descriptive name of the task
    `void` | `runJob()` Actually perform the task.
    `void` | `setMessage(I2NPMessage message)` Called by InNetMessagePool when an I2NPMessage matching a MessageSelector registered with the OutboundMessageRegistry is received

    - ### Methods inherited from class net.i2p.router.JobImpl

      `dropped, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface net.i2p.router.Job

      `dropped, getJobId, getTiming`

- - ### Field Detail

    - #### _log

          protected final Log _log

    - #### _search

          protected final FloodSearchJob _search

    - #### _success

          protected volatile boolean _success

  - ### Constructor Detail

    - #### FloodOnlyLookupMatchJob

          public FloodOnlyLookupMatchJob(RouterContext ctx,
                                         FloodSearchJob job)

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `Job`
      Descriptive name of the task
      Specified by:
        `getName` in interface `Job`
      Returns:
        the descriptive name of the task

    - #### runJob

          public void runJob()

      Description copied from interface: `Job`
      Actually perform the task. This call blocks until the Job is complete.
      Specified by:
        `runJob` in interface `Job`

    - #### setMessage

          public void setMessage(I2NPMessage message)

      Description copied from interface: `ReplyJob`
      Called by InNetMessagePool when an I2NPMessage matching a MessageSelector registered with the OutboundMessageRegistry is received
      Specified by:
        `setMessage` in interface `ReplyJob`